import { eq, sql } from "drizzle-orm";
import { db } from "../../../../../database/dbclient.js";
import { notifications } from "../../../../../database/schema/notifications.js";
import { tryCatch } from "../../../../globalUtils/tryCatch.js";
import { createLog } from "../../../logger/logger.js";

const notification = async (notifyData: any) => {
    /**
     * Pass the entire notification over
     */
    createLog("info", "notify", "notify", `monitoring ${notifyData.name}`);

    const { data, error } = await tryCatch(
        db
            .update(notifications)
            .set({
                lastRan: sql`NOW()`,
                // notifiySettings: {
                //     ...updateSettings,
                //     prodID: labels[0].IdEtikettenHistorie,
                // },
            })
            .where(eq(notifications.name, notifyData.name))
    );
};

export default notification;
